# Get all available times Find appointment start times that are currently available for the practitioner based on parameters provided. Endpoint: GET /businesses/{business_id}/practitioners/{practitioner_id}/appointment_types/{appointment_type_id}/available_times Version: v1 Security: basicAuth ## Path parameters: - `business_id` (string, required) Example: "1" - `practitioner_id` (string, required) Example: "1" - `appointment_type_id` (string, required) Example: "1" ## Query parameters: - `from` (string, required) Cannot be more than 7 days before to. Cannot be older than the current date in the account's time zone. - `to` (string, required) Cannot be more than 7 days after from. Cannot be older than the current date in the account's time zone. - `page` (integer) - `per_page` (integer) ## Response 200 fields (application/json): - `total_entries` (integer) Example: 1 - `links` (object) - `links.self` (string) Example: "https://api.au1.cliniko.com/v1/businesses/1/practitioners/1/appointment_types/1/available_times?from=2013-05-21&to=2013-05-22&page=2\"" - `links.previous` (string) Example: "https://api.au1.cliniko.com/v1/businesses/1/practitioners/1/appointment_types/1/available_times?from=2013-05-21&to=2013-05-22&page=1\"" - `links.next` (string) Example: "https://api.au1.cliniko.com/v1/businesses/1/practitioners/1/appointment_types/1/available_times?from=2013-05-21&to=2013-05-22&page=3\"" - `available_times` (array) - `available_times.appointment_start` (string)